Class List Method List File List

# Module: Yast::KerberosClientWizardsInclude

Defined in:
  ../../src/include/kerberos-client/wizards.rb

## Instance Method Summary (collapse)

- - (Object) initialize_kerberos_client_wizards(include_target)
- - (Object) KerberosAutoSequence

  Whole configuration of kerberos-client but without reading and writing.

- - (Object) KerberosSequence

  Whole configuration of kerberos-client.

- - (Object) MainSequence

  Main workflow of the kerberos-client configuration.

## Instance Method Details

### - (`Object`) initialize_kerberos_client_wizards(include_target)

    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    # File '../../src/include/kerberos-client/wizards.rb', line 30

    def initialize_kerberos_client_wizards(include_target)
      Yast.import "UI"

      textdomain "kerberos"

      Yast.import "Label"
      Yast.import "Popup"
      Yast.import "Sequencer"
      Yast.import "Stage"
      Yast.import "Wizard"

      Yast.include include_target, "kerberos-client/dialogs.rb"
    end

### - (`Object`) KerberosAutoSequence

Whole configuration of kerberos-client but without reading and writing. For use with autoinstallation.

Returns:

- sequence result

    104
    105
    106
    107
    108
    109
    110
    111
    112
    113
    114
    115
    116
    117
    118
    119
    120
    121
    122
    123
    124
    125
    # File '../../src/include/kerberos-client/wizards.rb', line 104

    def KerberosAutoSequence
      # dialog caption
      caption = _("Kerberos Client Configuration")

      # label (init dialog)
      contents = Label(_("Initializing..."))

      Wizard.CreateDialog
      Wizard.SetDesktopTitleAndIcon("kerberos")
      Wizard.SetContentsButtons(
        caption,
        contents,
        "",
        Label.BackButton,
        Label.NextButton
      )

      ret = MainSequence()

      UI.CloseDialog
      ret
    end

### - (`Object`) KerberosSequence

Whole configuration of kerberos-client

Returns:

- sequence result

    74
    75
    76
    77
    78
    79
    80
    81
    82
    83
    84
    85
    86
    87
    88
    89
    90
    91
    92
    93
    94
    95
    96
    97
    98
    99
    # File '../../src/include/kerberos-client/wizards.rb', line 74

    def KerberosSequence
      aliases = {
        "read"  => [lambda { ReadDialog() }, true],
        "main"  => lambda { MainSequence() },
        "write" => [lambda { WriteDialog() }, true]
      }

      sequence = {
        "ws_start" => "read",
        "read"     => { :abort => :abort, :cancel => :abort, :next => "main" },
        "main"     => { :abort => :abort, :next => "write" },
        "write"    => { :abort => :abort, :cancel => :abort, :next => :next }
      }

      if Stage.cont
        Wizard.CreateDialog
      else
        Wizard.OpenNextBackDialog
        Wizard.HideAbortButton
      end
      Wizard.SetDesktopTitleAndIcon("kerberos")
      ret = Sequencer.Run(aliases, sequence)
      UI.CloseDialog

      ret
    end

### - (`Object`) MainSequence

Main workflow of the kerberos-client configuration

Returns:

- sequence result

    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    68
    69
    70
    # File '../../src/include/kerberos-client/wizards.rb', line 47

    def MainSequence
      aliases = { "configure" => lambda { ConfigureDialog() }, "advanced" => lambda(
      ) do
        AdvancedDialog()
      end }

      sequence = {
        "ws_start"  => "configure",
        "configure" => {
          :abort    => :abort,
          :cancel   => :abort,
          :advanced => "advanced",
          :next     => :next
        },
        "advanced"  => {
          :abort  => :abort,
          :cancel => :abort,
          :next   => "configure"
        }
      }

      ret = Sequencer.Run(aliases, sequence)
      ret
    end